## Functions

### gst_dsd_format_from_string

    GstDsdFormat
    gst_dsd_format_from_string (const gchar * str)

Convert the DSD format string str to its GstDsdFormat.

Parameters:

`str` –

a DSD format string

Returns –

the GstDsdFormat for format or GST_DSD_FORMAT_UNKNOWN when the string is not a known format.

Since : 1.24

### GstAudio.prototype.dsd_format_from_string

    function GstAudio.prototype.dsd_format_from_string(str: String): {
        // javascript wrapper for 'gst_dsd_format_from_string'
    }

Convert the DSD format string str to its GstAudio.DsdFormat.

Parameters:

`str` (String) –

a DSD format string

Returns (GstAudio.DsdFormat) –

the GstAudio.DsdFormat for format or GST_DSD_FORMAT_UNKNOWN when the string is not a known format.

Since : 1.24

### GstAudio.dsd_format_from_string

    def GstAudio.dsd_format_from_string (str):
        #python wrapper for 'gst_dsd_format_from_string'

Convert the DSD format string str to its GstAudio.DsdFormat.

Parameters:

`str` (str) –

a DSD format string

Returns (GstAudio.DsdFormat) –

the GstAudio.DsdFormat for format or GST_DSD_FORMAT_UNKNOWN when the string is not a known format.

Since : 1.24

### gst_dsd_format_get_width

    guint
    gst_dsd_format_get_width (GstDsdFormat format)

Parameters:

`format` –

a GstDsdFormat

Returns –

Number of bytes in this DSD grouping format.

Since : 1.24

### GstAudio.prototype.dsd_format_get_width

    function GstAudio.prototype.dsd_format_get_width(format: GstAudio.DsdFormat): {
        // javascript wrapper for 'gst_dsd_format_get_width'
    }

Parameters:

`format` (GstAudio.DsdFormat) –

a GstAudio.DsdFormat

Returns (Number) –

Number of bytes in this DSD grouping format.

Since : 1.24

### GstAudio.dsd_format_get_width

    def GstAudio.dsd_format_get_width (format):
        #python wrapper for 'gst_dsd_format_get_width'

Parameters:

`format` (GstAudio.DsdFormat) –

a GstAudio.DsdFormat

Returns (int) –

Number of bytes in this DSD grouping format.

Since : 1.24

### gst_dsd_format_to_string

    const gchar *
    gst_dsd_format_to_string (GstDsdFormat format)

Returns a string containing a descriptive name for the GstDsdFormat if there is one, or NULL otherwise.

Parameters:

`format` –

a GstDsdFormat

Returns –

the name corresponding to format

Since : 1.24

### GstAudio.prototype.dsd_format_to_string

    function GstAudio.prototype.dsd_format_to_string(format: GstAudio.DsdFormat): {
        // javascript wrapper for 'gst_dsd_format_to_string'
    }

Returns a string containing a descriptive name for the GstAudio.DsdFormat if there is one, or NULL otherwise.

Parameters:

`format` (GstAudio.DsdFormat) –

a GstAudio.DsdFormat

Returns (String) –

the name corresponding to format

Since : 1.24

### GstAudio.dsd_format_to_string

    def GstAudio.dsd_format_to_string (format):
        #python wrapper for 'gst_dsd_format_to_string'

Returns a string containing a descriptive name for the GstAudio.DsdFormat if there is one, or NULL otherwise.

Parameters:

`format` (GstAudio.DsdFormat) –

a GstAudio.DsdFormat

Returns (str) –

the name corresponding to format

Since : 1.24

## Function Macros

### _GST_DSD_FORMAT_NE

    #define _GST_DSD_FORMAT_NE(fmt) GST_DSD_FORMAT_ ## fmt ## BE

## Enumerations

### GstDsdFormat

Enum value describing how DSD bits are grouped.

##### Members

`GST_DSD_FORMAT_UNKNOWN` (0) –

unknown / invalid DSD format

`GST_DSD_FORMAT_U8` (1) –

8 DSD bits in 1 byte

`GST_DSD_FORMAT_U16LE` (2) –

16 DSD bits in 2 bytes, little endian order

`GST_DSD_FORMAT_U16BE` (3) –

16 DSD bits in 2 bytes, big endian order

`GST_DSD_FORMAT_U32LE` (4) –

32 DSD bits in 4 bytes, little endian order

`GST_DSD_FORMAT_U32BE` (5) –

32 DSD bits in 4 bytes, big endian order

`GST_NUM_DSD_FORMATS` (6) –

number of valid DSD formats

`GST_DSD_FORMAT_U16` (2) –

16 DSD bits in 2 bytes, native endianness

`GST_DSD_FORMAT_U32` (4) –

32 DSD bits in 4 bytes, native endianness

Since : 1.24

### GstAudio.DsdFormat

Enum value describing how DSD bits are grouped.

##### Members

`GstAudio.DsdFormat.DSD_FORMAT_UNKNOWN` (0) –

unknown / invalid DSD format

`GstAudio.DsdFormat.DSD_FORMAT_U8` (1) –

8 DSD bits in 1 byte

`GstAudio.DsdFormat.DSD_FORMAT_U16LE` (2) –

16 DSD bits in 2 bytes, little endian order

`GstAudio.DsdFormat.DSD_FORMAT_U16BE` (3) –

16 DSD bits in 2 bytes, big endian order

`GstAudio.DsdFormat.DSD_FORMAT_U32LE` (4) –

32 DSD bits in 4 bytes, little endian order

`GstAudio.DsdFormat.DSD_FORMAT_U32BE` (5) –

32 DSD bits in 4 bytes, big endian order

`GstAudio.DsdFormat.NUM_DSD_FORMATS` (6) –

number of valid DSD formats

`GstAudio.DsdFormat.DSD_FORMAT_U16` (2) –

16 DSD bits in 2 bytes, native endianness

`GstAudio.DsdFormat.DSD_FORMAT_U32` (4) –

32 DSD bits in 4 bytes, native endianness

Since : 1.24

### GstAudio.DsdFormat

Enum value describing how DSD bits are grouped.

##### Members

`GstAudio.DsdFormat.DSD_FORMAT_UNKNOWN` (0) –

unknown / invalid DSD format

`GstAudio.DsdFormat.DSD_FORMAT_U8` (1) –

8 DSD bits in 1 byte

`GstAudio.DsdFormat.DSD_FORMAT_U16LE` (2) –

16 DSD bits in 2 bytes, little endian order

`GstAudio.DsdFormat.DSD_FORMAT_U16BE` (3) –

16 DSD bits in 2 bytes, big endian order

`GstAudio.DsdFormat.DSD_FORMAT_U32LE` (4) –

32 DSD bits in 4 bytes, little endian order

`GstAudio.DsdFormat.DSD_FORMAT_U32BE` (5) –

32 DSD bits in 4 bytes, big endian order

`GstAudio.DsdFormat.NUM_DSD_FORMATS` (6) –

number of valid DSD formats

`GstAudio.DsdFormat.DSD_FORMAT_U16` (2) –

16 DSD bits in 2 bytes, native endianness

`GstAudio.DsdFormat.DSD_FORMAT_U32` (4) –

32 DSD bits in 4 bytes, native endianness

Since : 1.24

## Constants

### GST_DSD_FORMATS_ALL

    #define GST_DSD_FORMATS_ALL "{ DSDU32BE, DSDU16BE, DSDU8, DSDU32LE, DSDU16LE }"

List of all DSD formats, for use in template caps strings.

Big endian formats are preferred, since little-endian ones flip around the DSD bytes, and most DSD hardware uses big endian formats.

Since : 1.24

### GstAudio.DSD_FORMATS_ALL

List of all DSD formats, for use in template caps strings.

Big endian formats are preferred, since little-endian ones flip around the DSD bytes, and most DSD hardware uses big endian formats.

Since : 1.24

### GstAudio.DSD_FORMATS_ALL

List of all DSD formats, for use in template caps strings.

Big endian formats are preferred, since little-endian ones flip around the DSD bytes, and most DSD hardware uses big endian formats.

Since : 1.24

The results of the search are